Annotation of wikisrc/pkgsrc/how_to_update_a_package_with_pkgsrc.mdwn, revision 1.2

1.2     ! schmonz     1: Updating an installed package with pkgsrc
        !             2: 
        !             3: You may wish to also see [[Monitoring package versions]]
        !             4: 
        !             5: Say you have just been notified that dummy-5.1 is now available as dummy-5.2 so you want to update it.
        !             6: 
        !             7:     cd /usr/pkgsrc/*/dummy
        !             8: 
        !             9: Run a make update:
        !            10: 
        !            11:     make update
        !            12:     ===> Deinstalling for dummy-5.1
        !            13:     => Becoming ``root to make su-deinstall (/usr/bin/su)
        !            14:     => Dropping ``root privileges.
        !            15:     [...]
        !            16:     WARNING: Package version dummy-5.1 in /usr/pkgsrc/*/dummy/work
        !            17:     WARNING: Current version dummy-5.2 in */dummy
        !            18:     WARNING: Cleaning and rebuilding dummy-5.2
        !            19:     => Registering installation for dummy-5.2                                                                                                               
        !            20:     ===> Cleaning for dummy-5.2
        !            21: 
1.1       mspo       22: Package dummy has now been upgraded from 5.1 to 5.2 

CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb